Skip to content

Diagnostics

All operations require authentication.

5 operationsv1/xdsl/{serviceName}
Agent setup

Get the diagnostic of an xDSL accessProduction

GET
/1.0/xdsl/{serviceName}/diagnostic

Returns the last diagnostic of the access: modem connection, ping, LNS activity, ongoing incident or maintenance, line details, available tests and remaining diagnostics.

Path parameters

serviceName
required
string

Service name

Response

200AccessDiagnosticsuccessful operation
capabilities
read-only
AccessDiagnosticCapabilities

Available tests for this access

diagnosticTime
read-only
stringdate-time

Datime of the diagnostic

incident
read-only
boolean

Is there an ongoing genericIncident on the access ?

isActiveOnLns
read-only
boolean

Is the access active on its primary or secondary LNS

isModemConnected
read-only
boolean

Is the modem connected ?

lineDetails
read-only
LineDiagnostic[]

Test details by line

maintenance
read-only
boolean

Is there an ongoing scheduled maintenance by operator on the access ?

ping
read-only
boolean

Does the access ping ?

remaining
read-only
integer

Remaining number of diagnostic for this access

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/xdsl/{serviceName}/diagnostic \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "capabilities": { "incident": true, "isActiveOnLns": true, "isModemConnected": true, "lineTest": true, "ping": true, "proposedProfileId": true, "sync": true }, "diagnosticTime": "2024-01-01T12:00:00Z", "incident": true, "isActiveOnLns": true, "isModemConnected": true, "lineDetails": [ { "lineTest": "actionPending", "lineTestTime": "2024-01-01T12:00:00Z", "number": "string", "proposedProfileId": 0, "sync": true } ], "maintenance": true, "ping": true, "remaining": 0}

Run a diagnostic on an xDSL accessProduction

POST
/1.0/xdsl/{serviceName}/diagnostic

Starts a diagnostic of the access. Returns the task that performs the change.

Path parameters

serviceName
required
string

Service name

Response

200Tasksuccessful operation
doneDate
read-only
stringdate-time

Date when the action was completed

function
read-only
string
—
id
read-only
integer
—
isArchived
read-only
boolean
—
status
read-only
TaskStatusEnum

Status of a task.

Valuescancelleddoingdoneerrorproblemtodo
todoDate
read-only
stringdate-time

Date when the action will start

updateDate
read-only
stringdate-time
—

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/xdsl/{serviceName}/diagnostic \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "doneDate": "2024-01-01T12:00:00Z", "function": "string", "id": 0, "isArchived": true, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z", "updateDate": "2024-01-01T12:00:00Z"}

Get the incident of an xDSL accessProduction

GET
/1.0/xdsl/{serviceName}/incident

Returns the generic incident that impacts the access, if any, with its estimated start and end dates, operators, NRA and departments.

Path parameters

serviceName
required
string

Service name

Response

200Incidentsuccessful operation
comment
read-only
string
—
creationDate
read-only
stringdate-time

Estimated start date

departments
read-only
string[]

Department list

endDate
read-only
stringdate-time

Estimated end date

id
read-only
integer

ID of the incident

nra
read-only
string[]

NRA list

operators
read-only
OperatorTypeEnum[]

Operator

Valuesbouyguescollectkosc
taskId
read-only
integer

Task ID on travaux.ovh.com

taskReference
read-only
string
—

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/xdsl/{serviceName}/incident \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "comment": "string", "creationDate": "2024-01-01T12:00:00Z", "departments": [ "string" ], "endDate": "2024-01-01T12:00:00Z", "id": 0, "nra": [ "string" ], "operators": [ "bouygues" ], "taskId": 0, "taskReference": "string"}

List the RADIUS connection logs of an xDSL accessProduction

GET
/1.0/xdsl/{serviceName}/radiusConnectionLogs

Returns the RADIUS authentication attempts of the access with their date, login, state and message.

Path parameters

serviceName
required
string

Service name

Response

200RadiusConnectionLog[]successful operation
date
read-only
stringdate-time
—
login
read-only
string
—
message
read-only
string
—
state
read-only
string
—

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/xdsl/{serviceName}/radiusConnectionLogs \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "date": "2024-01-01T12:00:00Z", "login": "string", "message": "string", "state": "string" }]

Get the statistics of an xDSL accessProduction

GET
/1.0/xdsl/{serviceName}/statistics

Returns the ping or download and upload traffic values of the access over a daily, weekly, monthly or yearly period, with their unit.

Path parameters

serviceName
required
string

Service name

Query parameters

period
required
StatisticsPeriodEnum

Periods for statistics.

Valuesdailymonthlypreviewweeklyyearly
type
required
AccessStatisticsTypeEnum

Various types of statisctics available for the access.

Valuespingtraffic:downloadtraffic:upload

Response

200AccessLatencysuccessful operation
unit
read-only
string
—
values
read-only
AccessLatency[]
—

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/xdsl/{serviceName}/statistics \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "unit": "string", "values": [ { "loss": 0, "status": 0, "timestamp": 0, "value": 0, "verboseStatus": "string" } ]}